Pacman Error - Can't Update - Curl returned error 12 from transfer

Hi,

Hope someone can please advise.

Have tried multiple times on multiple days to update, but always get error about updating curl.

error: curl returned error 12 from transfer

I did try to search this online. I found some bug reports on Arch page, but someone said this issue was resolved, but obviously not for me.

I’m using Manjaro Ruah 21.3.2, Cinnamon version 5.4.2 and kernel 5.10.126-1

Any suggestions on how to resolve this?

Thanks,

Mark

Try “sudo pacman -Syyu”

1 Like

Hi @ArchiMark,

According to the libcurl documentation, error 12 seems to be related to FTP:

CURLE_FTP_ACCEPT_TIMEOUT (12)

During an active FTP session while waiting for the server to connect, the CURLOPT_ACCEPTTIMEOUT_MS (or the internal default) timeout expired.

So, it seems you have to update your mirror pool. And while you’re at it, limit it to the HTTPS protocol:

sudo pacman-mirrors --fasttrack=5 --proto=https

This will rebuild your mirror pool with the following conditions:

  • Limit the pool to the 5 fastest servers globally;
  • limit the protocol used to HTTPS.

After this, run the update again:

pamac upgrade --enable-downgrade --aur --devel

Hope this helps!

2 Likes

Thank you, Robin!

It about 10 attempts, as I got various timeout errors, etc. but I finally got it to complete update and I’m now on Sikaris 22.0.0.

Yeah!

Hi,

Thank you for all your input!

I tried the first command you suggested, but I got error message about one of the parameters included.

This seems like you have a issue with the mirror you are using or something else is wrong.
You should try to find out why and when it is a problem on your end try to fix it.

pacman-mirrors
Will output your current mirrors

sudo pacman-mirrors --country all --api --protocols all --set-branch stable && sudo pacman -Syu
Will reset the values to the default but might be a to large a group of countries so select the mirrors you want with this command:

sudo pacman-mirrors --api --protocol https --interactive

pacman-mirrors: error: argument --geoip: not allowed with argument -f/–fasttrack

As you may have seen, a number of helpful posts mentioned pacman-mirrors.

An update will never be successful, no matter how many times you try, if the mirrors in your mirror pool are not available or in-sync. You can verify the status of your mirrors by using the command pacman-mirrors and/or viewing the webpage https://repo.manjaro.org/.

You can reorder your current mirror pool (–fasttrack) or change the mirrors in your mirror pool (–country, --continent).

You can read more about pacman-mirrors in the Manjaro wiki documentation, and also man pacman-mirrors.

Sorry. My mistake. I don’t use it a lot. I use Shiny Mirrors more. But simply remove the --geoip argument then:

sudo pacman-mirrors --fasttrack=5 --proto=https

Fixed the original answer.

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.